.input-container{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 12px;
    width: 100%;
}

.date-input-container{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 16px;
}

.input-label{
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 15px;
    color: #3D3D3D;
    width: 100%
}

.input-text-box:focus, select:focus{
    border: 1.4px solid var(--orange-primary);
    outline: none;
    filter: drop-shadow(0px 0px 5px var(--orange-extra-light));
    color: #3D3D3D;
}

.input-text-box{
    display: flex;
    gap: 12px;
    padding: 10px 16px;
    width: 100%;
    height: auto;
    border: 1.4px solid #bdbdbd;
    border-radius: 10px;

    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #6D6D6D;

    background: white;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;   
    box-sizing: border-box; 
}

.input-error{
    color: red;
    font-size: smaller;
    font-style: italic;
    margin-bottom: 10px;
}

.input-disabled{
    display: flex;
    gap: 12px;
    padding: 10px 16px;
    width: 100%;
    height: auto;
    border: 1.4px solid #bdbdbd;
    border-radius: 10px;

    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #6D6D6D;

    background: #ececec;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;   
    box-sizing: border-box;
}

.js .inputfile {
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.inputfile + label {
    font-size: 14px;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap:12px;
    height: 44px;
    overflow: hidden;
    padding: 13px 24px;
    
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;   
    box-sizing: border-box;
}

.no-js .inputfile + label {
    display: none;
}

.inputfile:focus + label,
.inputfile.has-focus + label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}

.inputfile + label svg {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    fill: currentColor;
    margin-top: -0.25em;
    /* 4px */
    margin-right: 0.25em;
    /* 4px */
}


/* style 1 */

.inputfile-1 + label {
    color: #ffffff;
    background-color: var(--orange-primary);
    border-radius: 10px;
    width: 100%;
}

.inputfile-1:focus + label,
.inputfile-1.has-focus + label,
.inputfile-1 + label:hover {
    background-color: var(--orange-secondary);
}

.input-banner-disabled{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 24px;
    color: #3D3D3D;
    height: 44px;
    background-color: #c9c9c9;
    border-radius: 10px;
    width: 100%;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;   
    box-sizing: border-box; 
}
